{
  "name": "@archer-oss/dependency-checker-core",
  "version": "1.1.4",
  "description": "Core logic for data management powered by dependencies",
  "main": "dist/index.cjs.js",
  "module": "dist/index.esm.js",
  "typings": "dist/types/dependency-checker.d.ts",
  "files": [
    "dist"
  ],
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:archer-oss/form-builder/dependency-checker-core.git"
  },
  "publishConfig": {
    "registry": "https://registry.npmjs.org/",
    "tag": "latest",
    "access": "public"
  },
  "author": "Sai Hari",
  "license": "MIT",
  "scripts": {
    "build": "npm-run-all --parallel build:app build:types",
    "build:app": "rollup -c",
    "build:types": "tsc -p tsconfig.build.json",
    "format:files": "prettier --ignore-path .gitignore .",
    "format:check": "npm run format:files -- --check",
    "format": "npm run format:files -- --write",
    "lint": "eslint .",
    "test": "jest",
    "typecheck": "tsc --noEmit --emitDeclarationOnly false",
    "validate": "npm-run-all --parallel format:check lint test typecheck"
  },
  "dependencies": {
    "@babel/runtime": "^7.15.4"
  },
  "devDependencies": {
    "@archer-oss/dev-scripts": "^1.2.7",
    "jest": "^27.3.0",
    "typescript": "^4.4.4",
    "prettier": "2.6.2"
  }
}
